### Method

# Meta MonitorManager get_monitor_for_connector

#### Declaration [src]

    gint
    meta_monitor_manager_get_monitor_for_connector (
      MetaMonitorManager* manager,
      const char* connector
    )

#### Description

No description available.

#### Parameters

`connector`

  Type: `const char*`

  A valid connector name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The monitor index or -1 if `id` isn’t valid or the connector isn’t associated with a logical monitor.